import cabsde as bur 

data = loadtxt('data/ethernet.txt')
y = data/1000.

y = y-mean(y) 
c = bur.Context(y)

ntries = 0

print "MCMC"
mcp = zeros((ntries,c.kmax+1))
mcd = zeros(ntries)
c.IS_RJBD =  True
thin = 100
N, burnin = 160*1000, 10*1000//thin
mcl = []
scales = empty(c.kmax+1)
tau = 0.01 
scales[:] = tau
#scales[1:] = tau*c.sigmatheta[:]
#scales[0] = tau #scales[1] 
for i in xrange(ntries):
    mc = bur.MCMC(c,N,scales,thinning=thin) 
    mcd[i] = mean(mc["d"][burnin:])
    for k in xrange(c.kmax+1):
        mcp[i,k] = mean(mc["k"][burnin:]==k)
    mcl.append( mc ) 

print "SMC"
ntries = 3
h = 4*1000
c.nmovesteps = 20
smcp = zeros((ntries,c.kmax+1))
smcd = zeros(ntries)
pfl= []
for i in xrange(ntries):
    print "try:", i
    c.IS_POSDIS = False; c.IS_RJBD = True; c.IS_RJG = False
    pf = bur.smc(c,h)
    smcp[i,:] = pf.probk()
    smcd[i] = sum(pf.w*pf.d)/sum(pf.w)
    pfl.append( pf )
    print "elapsed time (min)", pf.elapsed_time/60

